/*
 * $Id: Entity_get_name.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::get_name"
  std::string Entity::get_name (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = _name;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo
